# $Revision: 1.8 $, $Date: 2006/12/08 17:26:37 $
Summary:	Advanced Linux Sound Architecture - plugins
Summary(pl):	Advanced Linux Sound Architecture - wtyczki
Name:		alsa-plugins
Version:	1.0.13
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/plugins/%{name}-%{version}.tar.bz2
# Source0-md5:	7ef5e429b4a2756d0b5f0d7ce5bba0c8
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.13
BuildRequires:	automake
BuildRequires:	ffmpeg-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.98
BuildRequires:	libsamplerate-devel
BuildRequires:	pulseaudio-devel >= 0.9.2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ALSA plugins.

%description -l pl
Wtyczki ALSA.

%package a52
Summary:	A52 output plugin for ALSA
Summary(pl):	Wtyczka wyjciowa A52 dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13

%description a52
A52 output plugin for ALSA.

%description a52 -l pl
Wtyczka wyjciowa A52 dla systemu ALSA.

%package jack
Summary:	JACK <--> ALSA PCM plugin
Summary(pl):	Wtyczka PCM JACK <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13
Requires:	jack-audio-connection-kit >= 0.98

%description jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit) API. ALSA native applications can work transparently together
with jackd for both playback and capture.

%description jack -l pl
Ta wtyczka konwertuje API ALSA na API JACK (Jack Audio Connection
Kit). Aplikacje korzystajce natywnie z biblioteki ALSA mog w sposb
przezroczysty dziaa z jackd zarwno przy odtwarzaniu dwiku, jak i
nagrywaniu.

%package mix
Summary:	Up/down mixing plugins for ALSA
Summary(pl):	Wtyczki up/down-mix dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13

%description mix
Up/down mixing plugins for ALSA.

%description mix -l pl
Wtyczki up/down-mix dla systemu ALSA.

%package oss
Summary:	OSS <--> ALSA plugins
Summary(pl):	Wtyczki OSS <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13

%description oss
These plugins converts the ALSA API over OSS API. ALSA native
applications can run on OSS drivers.

%description oss -l pl
Te wtyczki konwertuj API ALSA na API OSS. Aplikacje korzystajce
natywnie z biblioteki ALSA mog dziaa na sterownikach OSS.

%package pulse
Summary:	PulseAudio <--> ALSA plugins
Summary(pl):	Wtyczki PulseAudio <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13
Requires:	pulseaudio-libs >= 0.9.2
Obsoletes:	alsa-plugins-polyp

%description pulse
These plugins allows any program that uses the ALSA API to access a
PulseAudio sound daemon. In other words, native ALSA applications can
play and record sound across a network.

%description pulse -l pl
Te wtyczki umoliwiaj dowolnemu programowi korzystajcego z API ALSA
dostp do demona dwiku PulseAudio. Innymi sowy, aplikacje ALSA mog
odtwarza i nagrywa dwik poprzez sie.

%package samplerate
Summary:	Rate converter plugin for ALSA
Summary(pl):	Wtyczka konwertera tempa dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.13

%description samplerate
Rate converter plugin for ALSA.

%description samplerate -l pl
Wtyczka konwertera tempa dla systemu ALSA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/alsa-lib/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files a52
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_a52.so

%files jack
%defattr(644,root,root,755)
%doc doc/README-jack
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_jack.so

%files mix
%defattr(644,root,root,755)
%doc doc/{upmix,vdownmix}.txt
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_upmix.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_vdownmix.so

%files oss
%defattr(644,root,root,755)
%doc doc/README-pcm-oss
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_oss.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_oss.so

%files pulse
%defattr(644,root,root,755)
%doc doc/README-pulse
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_pulse.so

%files samplerate
%defattr(644,root,root,755)
%doc doc/samplerate.txt
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-plugins.spec,v $
Revision 1.8  2006/12/08 17:26:37  glen
- rel 2

Revision 1.7  2006/10/04 21:29:59  qboosh
- updated to 1.0.13

Revision 1.6  2006/09/06 06:32:46  hawk
- more polyp->pulse (R: pulseaudio-libs in pulse subpackage,
  s/polypaudio/pulseaudio in descriptions)
- release 2

Revision 1.5  2006/08/26 18:52:35  qboosh
- updated to 1.0.12
- polyp->pulse (switched from polypaudio to pulseaudio following upstream)

Revision 1.4  2006/06/12 16:52:39  hawk
- release 2

Revision 1.3  2006/04/23 13:34:06  qboosh
- updated to 1.0.11

Revision 1.2  2005/11/19 16:49:54  qboosh
- no ldconfig

Revision 1.1  2005/11/19 16:44:20  qboosh
- new
